Theme
Submit Video Generation Task
POST
https://www.kkiai.com/minimax/v1/video_generation
Official Documentation: https://www.minimax.io/platform/document/Model%3Fkey=684261f14c5738213294faa7?key=66d1439376e52fcee2853049&document=video_generation
Request Parameters
Authorization
Add the Authorization parameter to the Header, with the value being the Token concatenated after Bearer
Example: Authorization: Bearer ********************
Header Parameters
| Parameter Name | Type | Required | Description | Example |
|---|---|---|---|---|
Content-Type | string | Required | application/json | |
Accept | string | Required | application/json | |
Authorization | string | Required | Bearer {{YOUR_API_KEY}} |
Body Parameters (application/json)
| Parameter Name | Type | Required | Description |
|---|---|---|---|
model | string | Required | Model name, pass MiniMax-Hailuo-02 |
prompt | string | Required | |
duration | integer | Required | Video duration, supports 6, 10 |
Request Example
json
{
"model": "MiniMax-Hailuo-02",
"prompt": "A little pig is happily running along the highway.",
"duration": 10
}cURL Example
bash
curl --location --request POST 'https://www.kkiai.com/minimax/v1/video_generation' \
--header 'Accept: application/json' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data-raw '{
"model": "MiniMax-Hailuo-02",
"prompt": "A little pig is happily running along the highway.",
"duration": 10
}'Response
🟢 200 Success
Response Body
| Parameter Name | Type | Required | Description |
|---|---|---|---|
code | integer | Required | |
message | string | Required | |
request_id | string | Required | |
data | object | Required | |
└ task_id | string | Required | |
└ task_status | string | Required | |
└ created_at | integer | Required | |
└ updated_at | integer | Required |
Response Example
json
{
"task_id": "306792606023824",
"base_resp": {
"status_code": 0,
"status_msg": "success"
}
}